Subject: bug#33748: 27.0.50; harfbuzz branch fails to compile

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Dec 2018 08:44:31 +0200

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 14 Dec 2018 15:44:18 -0500
> 
> Eli Zaretskii wrote:
> 
> >   ftfont.c:2866:3: warning: implicit declaration of function 'hb_buffer_set_cluster_level' [-Wimplicit-function-declaration]
> [...]
> > The version of Harfbuzz I have on this machine is 0.9.27.  If this too old?  
> 
> http://www.manpagez.com/html/harfbuzz/harfbuzz-/harfbuzz-Buffers.php#hb-buffer-set-cluster-level
> 
> says "Since: 0.9.42".

Thanks, I reviewed the other symbols, and 0.9.42 seems the earliest
version that supports them.  Still, it would be good to know which
version is considered the oldest we should support, perhaps due to
some algorithmic issues that are not visible just by looking at the
symbol names.  I hope the Harfbuzz people could advise us about that.